Subject: Re: CCL:C source for dihedral angles

From: Justin Gullingsrud <[email-masked]>
Date: Thu, 27 Jan 2000 09:25:33 -0600 (CST)

Hi,

VMD, a freely available program from the Theoretical Biophysics Group
at the University of Illinois, has code for calculating dihedral that
should be easy to adapt for your purposes.  You can download both the
program and the source from http://www.ks.uiuc.edu/Research/vmd/  .

I should mention that the code and software is released under a license
agreement; here's the relevant section; I hope it's not too restrictive
for you.

Justin Gullingsrud
[email-masked]

2. Licensee may, at its own expense, create and freely distribute 
complimentary works that interoperate with the Software, directing others to 
the TBG server to license and obtain the Software itself. Licensee may, at 
its own expense, modify the Software to make derivative works.  Except as 
explicitly provided below, this License shall apply to any derivative work 
as it does to the original Software distributed by Illinois.  Any derivative 
work should be clearly marked and renamed to notify users that it is a 
modified version and not the original Software distributed by Illinois.  
Licensee agrees to reproduce the copyright notice and other proprietary 
markings on any derivative work and to include in the documentation of such 
work the acknowledgement:

 "This software includes code developed by the Theoretical Biophysics Group 
in the Beckman Institute for Advanced Science and Technology at the 
University of Illinois at Urbana-Champaign."

Licensee may redistribute without restriction works with up to 1/2 of their 
non-comment source code derived from at most 1/10 of the non-comment source 
code developed by Illinois and contained in the Software, provided that the 
above directions for notice and acknowledgement are observed.  Any other 
distribution of the Software or any derivative work requires a separate 
license with Illinois.  Licensee may contact Illinois ([email-masked]) to 
negotiate an appropriate license for such distribution.

> 
> 
> ------------- Begin Forwarded Message -------------
> 
> X-Authentication-Warning: cts.iitkgp.ernet.in: rajarshi owned process doing -bs
> Date: Thu, 27 Jan 2000 10:49:25 +0530 (IST)
> From: Rajarshi Guha <[email-masked]>
> X-Original-Sender: [email-masked]
> To: CCL <[email-masked]>
> Subject: CCL:C source for dihedral angles
> MIME-Version: 1.0
> 
> Hi,
>   can anybody refer me to some C source code for calculating dihedral
> angles.
> 
> TIA
> 
> -------------------------------------------------------------------
> Rajarshi Guha                  | ...but there was no 
> Dept Of Chemistry,             |                  one in it....!
> IIT Kharagpur.                 | 
>                                |                        RG
> email: [email-masked] |
> web  : www.psynet.net/jijog    |
> -------------------------------------------------------------------
> 
> 
> -= This is automatically added to each message by mailing script =-
> [email-masked] -- To Everybody    |   [email-masked] -- To Admins
> [email-masked] -- HELP CHEMISTRY or HELP SEARCH
> [email-masked] -- archive search    |    Gopher: gopher.ccl.net 70
> Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan: [email-masked]
> 
> 
> 
> 
> 
> 
> ------------- End Forwarded Message -------------
> 
> 
> Dorina Kosztin
> ---------------------------------------------------------
> Theoretical Biophysics Group	Email: [email-masked]
> Beckman Institute, UIUC		Phone: (217) 244-8946
> 405 North Mathews Ave.		Fax:   (217) 244-6078
> Urbana, IL 61801, USA		http://www.ks.uiuc.edu/
> ---------------------------------------------------------
> 
> 

-- 

Justin Gullingsrud         3111 Beckman Institute
H: (217) 384-4220
W: (217) 244-8946          The time of purification is at hand...